aboutsummaryrefslogtreecommitdiffstats
path: root/main/py-sphinx/APKBUILD
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-06-07 02:05:13 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2016-06-10 14:25:35 +0000
commitda2eb54b7507ee07f358cfe302cd791ca90c9cf8 (patch)
tree8db9ea04487c46aaa5df1fd0066e0b3e5f049000 /main/py-sphinx/APKBUILD
parent8b351e93872fbf7db5a37d659c6c2439d005a52d (diff)
downloadaports-da2eb54b7507ee07f358cfe302cd791ca90c9cf8.tar.gz
aports-da2eb54b7507ee07f358cfe302cd791ca90c9cf8.tar.bz2
aports-da2eb54b7507ee07f358cfe302cd791ca90c9cf8.tar.xz
main/py-sphinx: upgrade to 1.4.3 and improve abuild
Diffstat (limited to 'main/py-sphinx/APKBUILD')
-rw-r--r--main/py-sphinx/APKBUILD36
1 files changed, 12 insertions, 24 deletions
diff --git a/main/py-sphinx/APKBUILD b/main/py-sphinx/APKBUILD
index 9737adcc8f..067c5bb043 100644
--- a/main/py-sphinx/APKBUILD
+++ b/main/py-sphinx/APKBUILD
@@ -1,8 +1,9 @@
# Contributor: Carlo Landmeter <clandmeter@gmail.com>
# Maintainer: Matt Smith <mcs@darkregion.net>
pkgname=py-sphinx
-pkgver=1.4.1
-pkgrel=1
+_pkgname=${pkgname#py-}
+pkgver=1.4.3
+pkgrel=0
pkgdesc="Python Documentation Generator"
url="http://sphinx.pocoo.org/"
arch="noarch"
@@ -10,33 +11,20 @@ license="BSD"
depends="python make py-docutils py-jinja2 py-pygments py-setuptools py-six
py-sphinx_rtd_theme py-alabaster py-babel py-snowballstemmer
py-imagesize"
-depends_dev=""
makedepends="$depends_dev"
-install=""
-subpackages=""
-source="sphinx-$pkgver.tar.gz::https://github.com/sphinx-doc/sphinx/archive/$pkgver.tar.gz"
-
-_builddir="$srcdir"/sphinx-$pkgver
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+source="$_pkgname-$pkgver.tar.gz::https://github.com/sphinx-doc/sphinx/archive/$pkgver.tar.gz"
+builddir="$srcdir/$_pkgname-$pkgver"
build() {
- cd "$_builddir"
- python setup.py build || return 1
+ cd "$builddir"
+ python setup.py build || return 1
}
package() {
- cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ cd "$builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
-md5sums="fdfe0e3f02d6761ee49e0369475814f1 sphinx-1.4.1.tar.gz"
-sha256sums="ebc119385f986d1f099be799ffac456dbaef6d46d239632c446e8d6e27f2af56 sphinx-1.4.1.tar.gz"
-sha512sums="ef1583d1378056556c36e639916c54cd83a71328a6e0a6c74ee7b6d032a06e32b8f1bbc2e490f0ea85591336fb8051d1cf86664cbe7ac2dec7e96f955bea6295 sphinx-1.4.1.tar.gz"
+md5sums="b86c840a2b5ca06d18b0242360663c04 sphinx-1.4.3.tar.gz"
+sha256sums="d70f7da9f68b5d460a118881eee371046f43b1c0bd3308d283a4f5aeda3b252c sphinx-1.4.3.tar.gz"
+sha512sums="25ba8f577424d9a59f03cad49807b47d3f2a17d80a1148da44dc0fb4c4cce2976b190056bacc6266f22046b7f100131f931738b4c5046a8d529654f46ef0b1ae sphinx-1.4.3.tar.gz"